Package org.eclipse.m2m.atl.adt.runner

# Class CreatePluginData

java.lang.Object
org.eclipse.m2m.atl.adt.runner.CreatePluginData

public class CreatePluginData extends Object
The class used to configure all the JET generations of the 'AtlPluginCreator' wizard. The purpose of the wizard is to create a new ATL plugin (i.e an eclipse plug-in).

## Constructor Summary

Constructors
Constructor
Description
`CreatePluginData(String projectName)`
Constructor.
`CreatePluginData(String projectName, String basePackage)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getBasePackage()`
`Map<String,String>`
`getPackageClassNames()`
`List<String>`
`getPluginDependencies()`
`String`
`getProjectName()`
`CreateRunnableData`
`getRunnableData()`
`void`
`setRunnableData(CreateRunnableData runnableData)`
Sets the runnable data and initializes metamodel dependencies.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CreatePluginData

public CreatePluginData(String projectName)
Constructor.

Parameters:
  `projectName` - the project name

### CreatePluginData

public CreatePluginData(String projectName, String basePackage)
Constructor.

Parameters:
  `projectName` - the project name
  `basePackage` - the base package name

## Method Details

### setRunnableData

public void setRunnableData(CreateRunnableData runnableData)
Sets the runnable data and initializes metamodel dependencies.

Parameters:
  `runnableData` - the runnable data

### getRunnableData

public CreateRunnableData getRunnableData()

### getProjectName

public String getProjectName()

### getBasePackage

public Object getBasePackage()

### getPluginDependencies

public List<String> getPluginDependencies()

### getPackageClassNames

public Map<String,String> getPackageClassNames()